
Public Support - Support Request #11480

Support to extract video stream from .adtfdat file to .MP4 file

2020-06-17 08:30 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: ACADEMIC Product Issue

Numbers:

 

Department:  Affected Products:  

Requester's Priority: Normal Platform:  

Support Level: 2nd Level Topic: FileLibrary::DatProcessing

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

I am student and I am doing my internship at Steinbeis Interagierende

Systeme GmbH. I am working on project, which requires the use of atdf

tool to work on AADC car.

I am currently struck at the moment, where I need to extract a video

stream into .MP4 format from an recorded .adtfdat file.

Note: I am using ADTF DAT tool to extract other data streams into .csv

files using csv_processor.adtffileplugin.

Similarly, Is there any tool or plugin to extract video stream into

.mp4 file ??

It would be helpful, if you can provide any suggestions to proceed with

this.

Lösung

Maybe you already saw the Community News: AVI Reader and Processor are now available, your requested AVI Processor (as well

as an AVI Reader) is now available.

Please have a look at the Readme how to get the binaries and use them.

(Re)Compilation is possible but not required.

Please keep in mind that its the initial version, manual tests worked so far... any feedback welcome !

And of course it is open source, feel free to collaborate !

History

#4 - 2020-06-17 13:05 - hidden

- Project changed from Public Support to 25

- Status changed from New to In Progress

- Topic set to FileLibrary::DatProcessing

- Customer set to ACADEMIC

#5 - 2020-06-24 17:05 - hidden

Hi Rohith,

sorry for the late reply.

Currently we are working on such a processor, it is almost ready but I focus some issues on deploying.

I hope to offer you a solution by the end of the week.

#7 - 2020-06-25 15:15 - hidden
https://support.digitalwerk.net/news/93
https://git.digitalwerk.net/adtf3_open_source/adtffileplugins/processors/avi_processor
https://git.digitalwerk.net/adtf3_open_source/adtffileplugins/readers/avi_reader


Hello Florian Roth,

Thanks for reply and the support.

I can wait till end of this week, Please let me know when there is an update available.

Rohith Kantharaju

#8 - 2020-06-26 12:55 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Rohith,

maybe you already saw the Community News: AVI Reader and Processor are now available, your requested AVI Processor (as well as an AVI

Reader) is now available.

Please have a look at the Readme how to get the binaries and use them.

(Re)Compilation is possible but not required.

Please keep in mind that its the initial version, manual tests worked so far... any feedback welcome !

And of course it is open source, feel free to collaborate !

#9 - 2020-06-29 12:45 - hidden

Dear Support team,

Thanks for providing the AVI Processor, I was able to download and build the binaries from the information provided.

I am able to extract video from .adtfdat file to output.avi file and its working as expected.

I will let you know and provide a feedback, if I face any issues in future.

Suggestion: It would have been better, if you can provide further instructions to build binaries using conan-build-file.py.

Since conan is new to me, I couldn't able to build using conan.

Thanks and Best Regards,

Rohith

#10 - 2020-06-29 13:20 - hidden

- Project changed from 25 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

Hi Rohith,

good to hear, if you are facing any issues, please open a new issue !

Regarding conan:

Well, this is not part of our supported range. Conan is free and only one possible helper to build, their documentation and google as well will help you

much more.

You can also build the example just using cmake or whatever you like.

If we are starting giving programming and development lessons, I don't know where to start and where it ends :-)

And as mentioned in the readme: There is no need to recompile, the binaries are also provided.

#11 - 2020-07-07 12:50 - hidden

- Status changed from To Be Closed to Closed
